| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::AccessControl Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- uint type
- QDBusVariant detail

## Detailed Description

Structure type generated from the specification.

An access control mode for extended presence items like geolocation. This type isn't actually used by the SimplePresence interface, but it's included here so it can be referenced by rich presence interfaces.

New interfaces should use this type, and NOT Rich_Presence_Access_Control.

## Member Data Documentation

uint Tp::AccessControl::type

The type of access control to apply.

QDBusVariant Tp::AccessControl::detail

Any additional information required by the Type. The required type and semantics are defined for each Access_Control_Type.